Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Member Functions | Static Protected Attributes
Lucene::Base64 Class Reference

`#include <Base64.h>`

Inheritance diagram for Lucene::Base64:

## Public Member Functions

virtual | ~Base64 ()
virtual String | getClassName ()
boost::shared_ptr< Base64 > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static String | encode (ByteArray bytes)
static String | encode (const uint8_t *bytes, int32_t length)
static ByteArray | decode (const String &str)

## Static Protected Member Functions

static bool | isBase64 (wchar_t ch)

## Static Protected Attributes

static const String | BASE64_CHARS

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~Base64()

virtual Lucene::Base64::~Base64 | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::Base64::_getClassName | ( |  | ) |

inline static

## ◆ decode()

static ByteArray Lucene::Base64::decode | ( | const String & | str | ) |

static

## ◆ encode() [1/2]

static String Lucene::Base64::encode | ( | ByteArray | bytes | ) |

static

## ◆ encode() [2/2]

static String Lucene::Base64::encode | ( | const uint8_t * | bytes,
|  | int32_t | length
| ) |  |

static

## ◆ getClassName()

virtual String Lucene::Base64::getClassName | ( |  | ) |

inline virtual

## ◆ isBase64()

static bool Lucene::Base64::isBase64 | ( | wchar_t | ch | ) |

static protected

## ◆ shared_from_this()

boost::shared_ptr< Base64 > Lucene::Base64::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ BASE64_CHARS

const String Lucene::Base64::BASE64_CHARS

static protected

The documentation for this class was generated from the following file:

- Base64.h

clucene.sourceforge.net